POST api/sticker/upsert

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "d44ee0fa-ac1e-488d-87cc-8d392acadb14",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "07759dc1-0579-422a-bc59-eaaf08e26806",
      "contractItem_ID": "2379843b-56ba-499a-a89c-c11938dee48b",
      "departement_ID": "f4456c8a-c87a-4715-b324-c0b8a59bf0d9",
      "departmentItem_ID": "2494df5e-cfc1-4a45-b7c6-9896b690e5e7",
      "iD": "b64416c8-16d8-4a71-868b-8ddce96e990c",
      "site_ID": "2f166921-aaf7-4744-88be-dfada06031cc",
      "siteCustomer_ID": "bdabbe76-5866-4bf9-8664-3734d9247a02",
      "sticker_ID": "46c47352-f973-4422-bf4b-fae939890137",
      "garment_ID": "5626a611-570e-446d-baa4-f4cbf3b35fa6"
    },
    {
      "active": true,
      "contract_ID": "07759dc1-0579-422a-bc59-eaaf08e26806",
      "contractItem_ID": "2379843b-56ba-499a-a89c-c11938dee48b",
      "departement_ID": "f4456c8a-c87a-4715-b324-c0b8a59bf0d9",
      "departmentItem_ID": "2494df5e-cfc1-4a45-b7c6-9896b690e5e7",
      "iD": "b64416c8-16d8-4a71-868b-8ddce96e990c",
      "site_ID": "2f166921-aaf7-4744-88be-dfada06031cc",
      "siteCustomer_ID": "bdabbe76-5866-4bf9-8664-3734d9247a02",
      "sticker_ID": "46c47352-f973-4422-bf4b-fae939890137",
      "garment_ID": "5626a611-570e-446d-baa4-f4cbf3b35fa6"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "11a75679-0418-4a26-944e-b34fb6a46a4d",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "bada10cb-2d53-4c79-8262-cf01cec1bb69",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "3078d21d-f87a-4315-a530-d16413dac587",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "30598aa9-86c1-4cf8-b2bf-c1dc5b346736",
      "stickerField_ID": "cafb83a5-f1b7-4c86-9479-983694b0d477",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "11a75679-0418-4a26-944e-b34fb6a46a4d",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "bada10cb-2d53-4c79-8262-cf01cec1bb69",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "3078d21d-f87a-4315-a530-d16413dac587",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "30598aa9-86c1-4cf8-b2bf-c1dc5b346736",
      "stickerField_ID": "cafb83a5-f1b7-4c86-9479-983694b0d477",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "fc96c41f-7a97-4b8f-9594-93f3acbc4876",
  "stickerType_ID": "2c6ad542-340f-461e-90a5-649917443892",
  "stickerRelation_IDs": [
    "932977dd-274a-4f50-8008-15523840c97b",
    "ef668e87-1682-4970-812a-5ddf4fc747e7"
  ],
  "site_ID": "2cc76494-3b5f-4c11-9be5-6b5145d50847"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"4c2940aa-8fcf-47d1-97a4-bcc2bd7bf00d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4c2940aa-8fcf-47d1-97a4-bcc2bd7bf00d</guid>